#include "functions.inc"
#include "colors.inc"

background{color rgb <1,0,1>}
//background{color rgb <0,0,0>}

// posiziona la camera
#switch(View)
  #case(0)
    camera
    {
      orthographic
      angle 64
      location <18.6, 8.0,-18.6> 
      look_at  < 0  ,-7.3,  0  >
      translate <0,-0.4,0>
    }
  #break
  #case(1)
    camera
    {
      angle 50
      location <20,16,-20> 
      look_at <0,-5,0>
    }
  #break
#end

light_source { <20,30,-8> White }


// pavimento della tessera
isosurface
{
  function
  {
    f_rounded_box(x,y,z,
    		1.2,				// raggio di curvatura
		10,8,10)			// size in x,y,z
    + pow(f_agate(x/15+4,y/15,z/15+4),4) * f_bozo(x/12+4,y/12,z/12) * 1.0
    + f_bozo(x/18,y/18,z/18) * 1.3
  }
  contained_by
  { 
    box
    { 
      <-12, 10,-12>, 
      < 12,-10, 12> 
    } 
  }
  max_gradient 6.0
  accuracy 0.005
  texture 
  { 
    pigment
    { 
      bozo
      scale 4.0
      turbulence 1.1
      color_map
      {
	[ 0.0 color rgb <0.01,0.50,0.18> ]
	[ 0.2 color rgb <0.29,0.24,0.18> ]
	[ 0.5 color rgb <0.57,0.48,0.37> ]
	[ 1.0 color rgb <0.70,0.55,0.40> ]
      }
    }
    finish
    { 
      roughness 0.1
      ambient 0.25		// parte in ombra 
      diffuse 0.75		// parte in luce
      crand 0.02		// effetto sabbia
    }
  }
  translate <0,-8.0,0>
}

